<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Disponibilidad de Veh&iacute;culos</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

$marca=$_POST["marca"];
$modelo=$_POST["modelo"];
$familia=$_POST["familia"];
$subfamilia=$_POST["subfamilia"];
$grupo=$_POST["grupo"];
$subgrupo=$_POST["subgrupo"];
$almacen=$_POST["almacen"];
$cliente=$_POST["cliente"];
$taller=$_POST["taller"];
//$vehiculo=$_POST["vehiculo"];
//$usuario=$_POST["usuario"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];

if($familia == '') { $familia = 0;}
if($subfamilia == '') { $subfamilia = 0;}
if($grupo == '') { $grupo = 0;}
if($subgrupo == '') { $subgrupo = 0;}

if($marca == '') { $marca = 0;}
if($modelo == '') { $modelo = 0;}


$n_decimales = 2;
  
	
?>
<body>
<?php


//Inicio reporte disponibilidad de vehiculos

if($rep == 9 && $tipo == 1) { // if 2
	
	if($taller == 0) { 
		$nom_taller = 'No';
	} else {
		$cliente = 0;
		$nom_taller = 'Si';
	}
	
	if ($familia == 0) { // if familia
		$nom_familia = 'Todos';
		$valor_familia = ' ';
	} else {
		//nombre familia
		$resultfam = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$familia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultfam)) {
			$nom_familia = $row['nombre'];
		}
		mysqli_free_result($resultfam);
		$valor_familia = ' a.codFamily = ' .$familia. ' and ';
	} //fin if familia

if ($subfamilia == 0) { // if subfamilia
		$nom_subfamilia = 'Todos';
		$valor_subfamilia = ' ';
	} else {
		//nombre sub familia
		$resultsubf = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subfamilia' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubf)) {
			$nom_subfamilia = $row['nombre'];
		}
		mysqli_free_result($resultsubf);
		$valor_subfamilia = ' a.codSubFamily = ' .$subfamilia. ' and ';
	} //fin if subfamilia
	
if ($grupo == 0) { // if grupo
		$nom_grupo = 'Todos';
		$valor_grupo = ' ';
	} else {
		//nombre grupo
		$resultgru = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$grupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultgru)) {
			$nom_grupo = $row['nombre'];
		}
		mysqli_free_result($resultgru);
		$valor_grupo = ' a.codGroup = ' .$grupo. ' and ';
	} //fin if grupo
	
if ($subgrupo == 0) { // if subgrupo
		$nom_subgrupo = 'Todos';
		$valor_subgrupo = ' ';
	} else {
		//nombre sub grupo
		$resultsubg = mysqli_query($link, "select pkyItemCategory as cod, fldName as nombre
							from 
							invItemCategory
							where
							pkyItemCategory = '$subgrupo' and 
							sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resultsubg)) {
			$nom_subgrupo = $row['nombre'];
		}
		mysqli_free_result($resultsubg);
		$valor_subgrupo = ' a.codSubGroup = ' .$subgrupo. ' and ';
	} //fin if subgrupo
	
	if ($marca == 0) { // if marca
		$nom_marca = 'Todos';
		$valor_marca = ' ';
	} else {
		//nombre marca
		$result5 = mysqli_query($link, "select pkyBrand as cod, fldName as marca 
								from invBrand 
								where 
								pkyBrand = '$marca' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result5)) {
			$nom_marca = $row['marca'];
		}
		mysqli_free_result($result5);
		$valor_marca = ' a.codBrand = ' .$marca. ' and ';
	} //fin if marca
	
	if ($modelo == 0) { // if modelo
		$nom_modelo = 'Todos';
		$valor_modelo = ' ';
	} else {
		//nombre modelo
		$result6 = mysqli_query($link, "select pkyBrandModel as cod, fldName as modelo 
								from invBrandModel 
								where 
								pkyBrandModel = '$modelo' and 
								sysEnabled = 1 and sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result6)) {
			$nom_modelo = $row['modelo'];
		}
		mysqli_free_result($result6);
		$valor_modelo = ' a.codBrandModel = ' .$modelo. ' and ';
	} //fin if modelo
	
	if ($almacen == 0) { // if 2.4
		$nom_almacen = 'Todos';
		$valor_almacen = ' ';
	} else {
		//nombre almacen
		$result2 = mysqli_query($link, "select pkyWarehouse as cod_alm, fldName as almacen
								from
								invWarehouse
								where
								pkyWarehouse = '$almacen' and
								sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result2)) {
			$nom_almacen = $row['almacen'];
		}
		mysqli_free_result($result2);
		$valor_almacen = ' c.codWarehouse = ' .$almacen. ' and ';
	} //fin if 2.4
	
	if ($cliente == 0) { // if 2.5
		$nom_cliente = 'Todos';
		$valor_cliente = ' ';
	} else {
		//nombre cliente
		$result3 = mysqli_query($link, "select pkyCompany as cod_cli, fldName as cliente
								from
								agnCompany
								where
								pkyCompany = '$cliente' and
								sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($result3)) {
			$nom_cliente = $row['cliente'];
		}
		mysqli_free_result($result3);
		$valor_cliente = ' where t.cod_cli = ' .$cliente;
		//$valor_cliente = ' a.codClient = ' .$cliente. ' and ';
	} //fin if 2.5

if ($cliente == 0) { // if cliente 0	
	
	if ($taller == 0) { // if taller 0
	//listado de vehiculos (no uso en_mant, fechaini_mant ni fechafin_mant en ningun query, pero si lo descargo en la matriz)
	$result4 = mysqli_query($link, "select a.pkyItem as cod_vehi, a.fldName as vehiculo, 
b.fldCarPlate as placa, b.fldCategory as cat, d.fldName as almacen, a.fldInUse as en_uso, a.fldMaintenance as en_mant, a.fldMaintenanceStartDate as fechaini_mant, a.fldMaintenanceEndDate as fechafin_mant
from
invItem a, vhcVehicleDetail b, invItemMovementConsolidated c, invWarehouse d
where 
$valor_almacen 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
a.codType = 4 and
a.pkyItem = b.codItem and 
a.pkyItem = c.codItem and 
c.codWarehouse = d.pkyWarehouse and 
c.fldQuantity > 0 and
a.sysEnabled = 1 AND a.sysAuthorized = 1 
order by a.fldName, b.fldCategory;");
	
	} else { //else taller 0
	
	$result4 = mysqli_query($link, "select distinct a.pkyItem as cod_vehi, a.fldName as vehiculo, 
b.fldCarPlate as placa, b.fldCategory as cat, d.fldName as almacen, a.fldInUse as en_uso, a.fldMaintenance as en_mant, a.fldMaintenanceStartDate as fechaini_mant, a.fldMaintenanceEndDate as fechafin_mant
from
invItem a, vhcVehicleDetail b, invItemMovementConsolidated c, invWarehouse d
where 
$valor_almacen 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
a.codType = 4 and
a.pkyItem = b.codItem and 
a.pkyItem = c.codItem and 
c.codWarehouse = d.pkyWarehouse and 
c.fldQuantity > 0 and 
a.fldMaintenance = 1 and 
((a.fldMaintenanceStartDate <= '$fechafin' and '$fechafin' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate <= '$fechaini' and '$fechaini' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate <= '$fechaini' and '$fechafin' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate >= '$fechaini' and '$fechafin' >= a.fldMaintenanceEndDate)) and 
a.sysEnabled = 1 AND a.sysAuthorized = 1 
order by a.fldName, b.fldCategory;");

	} // fin taller 0

} else { //else cliente 0

	if ($cliente == 2) { // if cliente 2
	//listado de vehiculos con cliente 2 el de la empresa diferente porque se necesita mostrar los contratos para uso de la entidad union los vehiculos en taller
	$result4 = mysqli_query($link, "select distinct t.cod_vehi as cod_vehi, t.vehiculo as vehiculo, 
t.placa as placa, t.cat as cat, t.almacen as almacen, t.en_uso as en_uso, t.en_mant as en_mant, t.fechaini_mant as fechaini_mant, t.fechafin_mant as fechafin_mant
from (
	select distinct a.pkyItem as cod_vehi, a.fldName as vehiculo, 
b.fldCarPlate as placa, b.fldCategory as cat, d.fldName as almacen, a.fldInUse as en_uso, a.fldMaintenance as en_mant, a.fldMaintenanceStartDate as fechaini_mant, a.fldMaintenanceEndDate as fechafin_mant
from
invItem a, vhcVehicleDetail b, invItemMovementConsolidated c, invWarehouse d, vhcVehicleContract e
where 
$valor_almacen 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
a.codType = 4 and
a.pkyItem = b.codItem and 
a.pkyItem = c.codItem and 
c.codWarehouse = d.pkyWarehouse and 
c.fldQuantity > 0 and 
a.pkyItem = e.codVehicle and 
e.codClient = '$cliente' and 
((e.fldDeliveryDate <= '$fechafin' and '$fechafin' <= e.fldReceptionDate) or 
(e.fldDeliveryDate <= '$fechaini' and '$fechaini' <= e.fldReceptionDate) or 
(e.fldDeliveryDate <= '$fechaini' and '$fechafin' <= e.fldReceptionDate) or 
(e.fldDeliveryDate >= '$fechaini' and '$fechafin' >= e.fldReceptionDate)) and 
a.sysEnabled = 1 AND a.sysAuthorized = 1 
union all
select distinct a.pkyItem as cod_vehi, a.fldName as vehiculo, 
b.fldCarPlate as placa, b.fldCategory as cat, d.fldName as almacen, a.fldInUse as en_uso, a.fldMaintenance as en_mant, a.fldMaintenanceStartDate as fechaini_mant, a.fldMaintenanceEndDate as fechafin_mant
from
invItem a, vhcVehicleDetail b, invItemMovementConsolidated c, invWarehouse d
where 
$valor_almacen 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
a.codType = 4 and
a.pkyItem = b.codItem and 
a.pkyItem = c.codItem and 
c.codWarehouse = d.pkyWarehouse and 
c.fldQuantity > 0 and 
a.fldMaintenance = 1 and 
((a.fldMaintenanceStartDate <= '$fechafin' and '$fechafin' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate <= '$fechaini' and '$fechaini' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate <= '$fechaini' and '$fechafin' <= a.fldMaintenanceEndDate) or 
(a.fldMaintenanceStartDate >= '$fechaini' and '$fechafin' >= a.fldMaintenanceEndDate)) and 
a.sysEnabled = 1 AND a.sysAuthorized = 1) t
order by t.vehiculo, t.cat;");
	} else { // else cliente 2
//listado de vehiculos con cliente diferente de todos, el query es parecido al de arriba salvo que no cruza con taller
	$result4 = mysqli_query($link, "select distinct a.pkyItem as cod_vehi, a.fldName as vehiculo, 
b.fldCarPlate as placa, b.fldCategory as cat, d.fldName as almacen, a.fldInUse as en_uso, a.fldMaintenance as en_mant, a.fldMaintenanceStartDate as fechaini_mant, a.fldMaintenanceEndDate as fechafin_mant
from
invItem a, vhcVehicleDetail b, invItemMovementConsolidated c, invWarehouse d, vhcVehicleContract e
where 
$valor_almacen 
$valor_familia 
$valor_subfamilia 
$valor_grupo 
$valor_subgrupo 
$valor_marca 
$valor_modelo 
a.codType = 4 and
a.pkyItem = b.codItem and 
a.pkyItem = c.codItem and 
c.codWarehouse = d.pkyWarehouse and 
c.fldQuantity > 0 and 
a.pkyItem = e.codVehicle and 
e.codClient = '$cliente' and 
((e.fldDeliveryDate <= '$fechafin' and '$fechafin' <= e.fldReceptionDate) or 
(e.fldDeliveryDate <= '$fechaini' and '$fechaini' <= e.fldReceptionDate) or 
(e.fldDeliveryDate <= '$fechaini' and '$fechafin' <= e.fldReceptionDate) or 
(e.fldDeliveryDate >= '$fechaini' and '$fechafin' >= e.fldReceptionDate)) and 
a.sysEnabled = 1 AND a.sysAuthorized = 1 
order by a.fldName, b.fldCategory;");
	}//fin if cliente 2

} //fin if cliente 0
	
	//listado de estado 
	$result5 = mysqli_query($link, "select pkyVehicleContractStatus as codigo, fldName as estado
from
vhcVehicleContractStatus
where
sysEnabled = 1 and sysAuthorized = 1;");



$matriz_disp = array();
$i = 1;
while ($row = mysqli_fetch_array($result4)) {
	$matriz_disp [$i][1] = $row['cod_vehi'];
	$matriz_disp [$i][2] = $row['vehiculo'];
	$matriz_disp [$i][3] = $row['placa'];
	$matriz_disp [$i][4] = $row['cat'];
	$matriz_disp [$i][5] = $row['almacen'];
	$matriz_disp [$i][6] = $row['en_uso'];
	$matriz_disp [$i][7] = $row['en_mant'];
	$matriz_disp [$i][8] = $row['fechaini_mant'];
	$matriz_disp [$i][9] = $row['fechafin_mant'];
	$i++;
}
$fin_disp = $i - 1;
mysqli_free_result($result4);

$matriz_estado = array();
$i = 1;
while ($row = mysqli_fetch_array($result5)) {
	$matriz_estado [$i][1] = $row['codigo'];
	$matriz_estado [$i][2] = $row['estado'];
	if($row['codigo'] == 1){ $matriz_estado [$i][3] = '#ccccff'; }
	if($row['codigo'] == 2){ $matriz_estado [$i][3] = '#00ff00'; }
	if($row['codigo'] == 3){ $matriz_estado [$i][3] = '#ffff00'; }
	if($row['codigo'] == 4){ $matriz_estado [$i][3] = '#ff9900'; }
	
	$i++;
}
//se elimino el 'No Disponible'
//$matriz_estado [0][1] = 0;
//$matriz_estado [0][2] = 'No Disponible';
//$matriz_estado [0][3] = '#99ffff';
//para taller
$matriz_estado [$i][1] = 5;
$matriz_estado [$i][2] = 'Taller';
$matriz_estado [$i][3] = '#ff6666';

$fin_estado = $i;

mysqli_free_result($result5);


?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Disponibilidad</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Almacen: </b><?php echo $nom_almacen; ?></TD>
        <TD width="25%"><b>Cliente: </b><?php echo $nom_cliente; ?></TD>
        <TD width="25%"><b>Marca: </b><?php echo $nom_marca; ?></TD>
        <TD width="25%"><b>Modelo: </b><?php echo $nom_modelo; ?></TD>
        </TR>
        <TR>
        <TD><b>Familia: </b><?php echo $nom_familia; ?></TD>
        <TD><b>Sub Familia: </b><?php echo $nom_subfamilia; ?></TD>
        <TD><b>Grupo: </b><?php echo $nom_grupo; ?></TD>
        <TD><b>Sub Grupo: </b><?php echo $nom_subgrupo; ?></TD>
        </TR>
        <TD colspan="4"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<p>
<table border="1" align="left" cellpadding="2">
<TR>
<?php
	//se adiciona desde 0 porque necesito el color para el valor de 'No Disponible'
	//se quito el valor 'No Disponible' para que empiece en 1
	$i = 1;
	while ($i <= $fin_estado) { 
		printf("<td BGCOLOR='%s' align='center'><b>%s</b></td>", $matriz_estado [$i][3], $matriz_estado [$i][2]);
		$i++;
	}
?>
</TR>
</table>   
</p><br /><p> 
<table border="1" align="left" cellpadding="2">
    <thead>
    <TR> 
    <TD align="center"><b>No.</b></TD>
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Veh&iacute;culo</b></TD>
    <TD align="center"><b>Placa</b></TD>
    <TD align="center"><b>Cat.</b></TD>
    <TD align="center"><b>Almac&eacute;n</b></TD>
    <?php
    $fecha_ini = $fechaini;
    $fecha_fin = $fechafin;
    $mes_ini = substr($fecha_ini,5,2);
    $ano_ini = substr($fecha_ini,0,4);
    
    //generar las fechas por registro
    $matriz_cabeza = array();
    $j = 1;
    while($fecha_ini <= $fecha_fin) { //while fecha 1
        $matriz_cabeza[$j][1] = $fecha_ini;
        $j++;
        $fecha_ini = sumaDia($fecha_ini,1);
    } //fin while fecha 1
    $fin_dias = $j - 1;
    
    //contar para mostrar el mes y el ano en la cabecera
    $i = 0;
    $j = 1;
    while($j <= $fin_dias) { 
        if(substr($matriz_cabeza[$j][1],5,2) == $mes_ini) {
            $i++;
        } else {
            if($mes_ini == 1) { $mes_nom = 'Enero'; }
            if($mes_ini == 2) { $mes_nom = 'Febrero'; }
            if($mes_ini == 3) { $mes_nom = 'Marzo'; }
            if($mes_ini == 4) { $mes_nom = 'Abril'; }
            if($mes_ini == 5) { $mes_nom = 'Mayo'; }
            if($mes_ini == 6) { $mes_nom = 'Junio'; }
            if($mes_ini == 7) { $mes_nom = 'Julio'; }
            if($mes_ini == 8) { $mes_nom = 'Agosto'; }
            if($mes_ini == 9) { $mes_nom = 'Septiembre'; }
            if($mes_ini == 10) { $mes_nom = 'Octubre'; }
            if($mes_ini == 11) { $mes_nom = 'Noviembre'; }
            if($mes_ini == 12) { $mes_nom = 'Diciembre'; }
            printf("<TD colspan='$i' align='center'><b>%s %s</b></TD>", $mes_nom, $ano_ini);
            $i = 0;
            $j--;
            if($mes_ini == 12) { 
                $mes_ini = 1;
                $ano_ini++;
            } else {
                $mes_ini++;
            } 
        }
        $j++;
    }
    //esto imprime el ultimo ya que no vuelve al bucle
    if($mes_ini == 1) { $mes_nom = 'Enero'; }
    if($mes_ini == 2) { $mes_nom = 'Febrero'; }
    if($mes_ini == 3) { $mes_nom = 'Marzo'; }
    if($mes_ini == 4) { $mes_nom = 'Abril'; }
    if($mes_ini == 5) { $mes_nom = 'Mayo'; }
    if($mes_ini == 6) { $mes_nom = 'Junio'; }
    if($mes_ini == 7) { $mes_nom = 'Julio'; }
    if($mes_ini == 8) { $mes_nom = 'Agosto'; }
    if($mes_ini == 9) { $mes_nom = 'Septiembre'; }
    if($mes_ini == 10) { $mes_nom = 'Octubre'; }
    if($mes_ini == 11) { $mes_nom = 'Noviembre'; }
    if($mes_ini == 12) { $mes_nom = 'Diciembre'; }
    printf("<TD colspan='$i' align='center'><b>%s %s</b></TD>", $mes_nom, $ano_ini);			
                    
    ?>
    
    </TR>
    </thead>
    <tbody class="marcafila">

  <?php
  $color = 2;
     
  $i = 1;
  while ($i <= $fin_disp) { //while
    $cod_vehiculo = $matriz_disp [$i][1];
	/*
	$color_no_disp = $matriz_estado [0][3];
	if($matriz_disp [$i][6] == 1) { //if color no disponible
		printf("<tr BGCOLOR='$color_no_disp'><td align='center'>%s</td>", $matriz_disp [$i][1]);//cod
	} else {//else color no disponible
	*/
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e1e1e1'><td align='center'>%s</td>", $i);//numero
		} else {
		printf("<tr><td align='center'>%s</td>", $i);//numero
		}//fin if color
	//}//fin if color no disponible
	printf("<td align='center'>%s</td>", $matriz_disp [$i][1]);//cod
	printf("<td align='left'>%s</td>", $matriz_disp [$i][2]);//vehiculo
	printf("<td align='left'>%s</td>", $matriz_disp [$i][3]);//placa
	printf("<td align='center'>%s</td>", $matriz_disp [$i][4]);//categoria
	printf("<td align='left'>%s</td>", $matriz_disp [$i][5]);//almacen
	
	//listado de contratos para los vehiculos union con los vehiculos en taller
	$result = mysqli_query($link, "select t.cod_contrato as cod_contrato, t.cod_cli as cod_cli, t.cliente as cliente, t.cod_vehi as cod_vehi, t.fec_ent as fec_ent, t.fec_dev as fec_dev, t.cod_estado as cod_estado
from ( 
select a.pkyVehicleContract as cod_contrato, a.codClient as cod_cli, b.fldName as cliente, a.codVehicle as cod_vehi, a.fldDeliveryDate as fec_ent, a.fldReceptionDate as fec_dev, a.codStatus as cod_estado
from 
vhcVehicleContract a, agnCompany b
where 
a.codVehicle = '$cod_vehiculo' and
a.fldReceptionDate >= '$fechaini' and
a.codClient = b.pkyCompany and
a.sysEnabled = 1 and a.sysAuthorized = 1 
union all 
select 0 as cod_contrato, 2 as cod_cli, (select fldName from agnCompany where pkyCompany = 2) as cliente, pkyItem as cod_vehi, fldMaintenanceStartDate as fec_ent, fldMaintenanceEndDate as fec_dev, 5 as cod_estado
from
invItem 
where 
pkyItem = '$cod_vehiculo' and 
fldMaintenanceEndDate >= '$fechaini') t
$valor_cliente 
order by t.fec_ent;");

	
	//generar las fechas por registro
	$matriz_dias = array();
	$fecha_ini = $fechaini;
	$j = 1;
	while($fecha_ini <= $fechafin) { //while fecha 1
		$matriz_dias[$j][1] = $fecha_ini;
		$matriz_dias[$j][2] = 0; //contador de fechas coincidentes
		$j++;
		$fecha_ini = sumaDia($fecha_ini,1);
	} //fin while fecha 1
	$fin_dias = $j - 1;
	
	//pinta las fechas correspondientes
	while ($row = mysqli_fetch_array($result)) { //while contratos
	  $in = 1;
	  while($in <= $fin_dias) { //while dias
	  	$fecha_entrega = $row['fec_ent'];
		$fecha_recepcion = $row['fec_dev'];
		if($matriz_dias[$in][1] >= $fecha_entrega && $matriz_dias[$in][1] <= $fecha_recepcion) { //if esta en rango
			$k = 1;
			$codi_estado = $row['cod_estado'];
			while($k <= $fin_estado){//while estado
				if($codi_estado == $k) { $color_estado = $matriz_estado [$k][3]; }
				$k++;
			}//fin while estado
			//if($codi_estado == 4) { $codi_estado = 5; }
			$matriz_dias[$in][3] = $color_estado;
			$matriz_dias[$in][4] = $row['cod_contrato'];
			$matriz_dias[$in][5] = $codi_estado;
			$matriz_dias[$in][6] = $row['cliente'];
					
			$matriz_dias[$in][2] = $matriz_dias[$in][2] + 1;
		
		}//fin if esta en rango
		$in++;
	  } //fin while dias
	} //fin while contratos
	
	//muestra las fechas con las pintadas y blancas
	$m = 1;
	while($m <= $fin_dias) { //while mostrar
		if($matriz_dias[$m][2] == 0) {
			printf("<td align='center'>%s</td>", substr($matriz_dias[$m][1],-2));//fecha
			
		} else {
			$color_estado = $matriz_dias[$m][3];
			$cod_contrato = $matriz_dias[$m][4];
			$codi_estado = $matriz_dias[$m][5];
			if($codi_estado == 4) { $codi_estado = 5; } 
			$cliente_nom = $matriz_dias[$m][6];
			if($cod_contrato == 0) { //if cod_contrato
			printf("<td BGCOLOR='$color_estado' align='center'>%s <sub>%s</sub></td>", substr($matriz_dias[$m][1],-2), $matriz_dias[$m][2]);
			} else {
			printf("<td BGCOLOR='$color_estado' align='center'><a href='../../ModuleVehicles/VoucherVehicleContract/index.php?pkyVehicleContract=$cod_contrato&codStatus=$codi_estado' title='$cliente_nom'>%s</a> <sub>%s</sub></td>", substr($matriz_dias[$m][1],-2), $matriz_dias[$m][2]);	
			} //fin if cod_contrato
		}
		$m++;
	} //fin while mostrar
	printf("</tr>");
	$color++;
	$i++;
  }//fin while
	
?>
</tbody>
</table>
</p>
<?php

} //fin if 2

?>

</body>
</html>
